OptFEM3DP1 Toolbox: runValids.m File Reference

| OptFEM3DP1 Toolbox 20130614_170440 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
runValids.m File Reference

Run validation tests for Mass (validMass3DP1), Stiff (#validStiffP1), StiffElas (validStiffElas3DP1) and MassVF (validMassVF3DP1) matrices. For each assembly matrix, we make 3 tests. More...

Go to the source code of this file.

## Functions
function | runValids (varargin)
| Run validation tests for Mass (validMass3DP1), Stiff (#validStiffP1), StiffElas (validStiffElas3DP1) and MassVF (validMassVF3DP1) matrices. For each assembly matrix, we make 3 tests.

## Detailed Description

Run validation tests for Mass (validMass3DP1), Stiff (#validStiffP1), StiffElas (validStiffElas3DP1) and MassVF (validMassVF3DP1) matrices. For each assembly matrix, we make 3 tests.

- Test 1 : computation of the assembly Matrix using all the versions giving errors and computation times.
- Test 2 : comparison of the associated integral and its -Lagrange approximation.
- Test 3 : retrieving of numerical order for -Lagrange approximation.

Definition in file runValids.m.

## Function Documentation

function runValids | ( |  | varargin | ) |

Run validation tests for Mass (validMass3DP1), Stiff (#validStiffP1), StiffElas (validStiffElas3DP1) and MassVF (validMassVF3DP1) matrices. For each assembly matrix, we make 3 tests.

     - Test 1 : computation of the assembly Matrix using all the versions giving
       errors and computation times.
     - Test 2 : comparison of the associated integral and its \form#41-Lagrange approximation.
     - Test 3 : retrieving of numerical order for \form#41-Lagrange approximation.

Example

           runValids('save',true,'percent',50)

Results under Matlab R2012b
  Here are the figures for `Test 3` obtained on our reference machine.
  - validMass3DP1() figure
    figure : Mass Matrix order validation
  - validStiff3DP1() figure
    figure : Stiff Matrix order validation
  - validStiffElas3DP1(0) figure
    figure : StiffElas Matrix order validation
  - validMassVF3DP1(0) figure
    figure : MassVF Matrix order validation

See Also
  validMass3DP1, validStiff3DP1, validStiffElas3DP1, validMassVF3DP1, #SaveFigure

Copyright
  See License issues

Parameters

  varargin | runValids ( [ "save", save_value ] [, "percent", percent_value ] ) Named Parameters for varargin: save set to true to save figures in `image` directory. ( Default: `false` ) percent value for resizing the figure (only png format). See #SaveFigure ( Default: `50` )

Definition at line 17 of file runValids.m.